Debian Bug report logs - #586466
pcp-gui: FTBFS on kfreebsd-*: FATAL ERROR: could not find a PCP library (libpcp).

version graph

Package: pcp; Maintainer for pcp is PCP Development Team <pcp@mail.performancecopilot.org>; Source for pcp is src:pcp.

Reported by: Cyril Brulebois <kibi@debian.org>

Date: Sat, 19 Jun 2010 19:36:17 UTC

Severity: serious

Tags: sid, squeeze

Fixed in version pcp/3.3.2

Done: Nathan Scott <nathans@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, kibi@debian.org, Nathan Scott <nathans@debian.org>:
Bug#586466; Package src:pcp-gui. (Sat, 19 Jun 2010 19:36:20 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
New Bug report received and forwarded. Copy sent to kibi@debian.org, Nathan Scott <nathans@debian.org>. (Sat, 19 Jun 2010 19:36:20 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: pcp-gui: FTBFS on kfreebsd-*: FATAL ERROR: could not find a PCP library (libpcp).
Date: Sat, 19 Jun 2010 21:35:27 +0200
Source: pcp-gui
Version: 1.4.7
Severity: serious
Justification: FTBFS
User: debian-bsd@lists.debian.org
Usertags: kfreebsd

Hi,

your package no longer builds on kfreebsd-*:
| checking for pcp/pmapi.h... yes
| checking for pmNewContext in -lpcp... no
| 
| FATAL ERROR: could not find a PCP library (libpcp).
| make[1]: *** [pcp-gui.lsm] Error 1

Full build logs:
  https://buildd.debian.org/status/package.php?p=pcp-gui

You can contact -bsd@ if you need help.

Mraw,
KiBi.




Bug reassigned from package 'src:pcp-gui' to 'pcp'. Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Thu, 08 Jul 2010 08:57:04 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions pcp-gui/1.4.7. Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Thu, 08 Jul 2010 08:57:05 GMT) Full text and rfc822 format available.

Information stored :
Bug#586466; Package pcp. (Thu, 08 Jul 2010 08:57:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and filed, but not forwarded. (Thu, 08 Jul 2010 08:57:07 GMT) Full text and rfc822 format available.

Message #14 received at 586466-quiet@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: Nathan Scott <nathans@aconex.com>
Cc: debian-bsd@lists.debian.org, 586466-quiet@bugs.debian.org, control@bugs.debian.org
Subject: Re: pcp-gui build bug 586466
Date: Thu, 8 Jul 2010 12:28:55 +0200 (CEST)
[Message part 1 (text/plain, inline)]
reassign 586466 pcp
--

Hi.

> It seems my latest upload has somehow triggered this build
> issue but this section of configuration hasn't changed and
> builds on all other platforms, so I'm a bit stumped.  I'd
> love to see whats in config.log, is that still accessible
> after a buildd build?
>
> The configure check that failing does a simple AC_CHECK_LIB
> on a library thats clearly been installed OK during setup
> for the build, so its all a bit wierd.

It looks like pcp package is built in a wrong way.
It cannot be installed on kfreebsd (sorry for czech messages):

Nastavuji balík pcp (3.3.1) ...
pcp.env: Fatal Error: "/etc/pcp.conf" not found
invoke-rc.d: initscript pcp, action "start" failed.
dpkg: chyba při zpracovávání pcp (--configure):
 podproces instalovaný post-installation skript vrátil chybový status 1
Při zpracování nastaly chyby:
 pcp
E: Sub-process /usr/bin/dpkg returned an error code (1)


It looks like wrong depends.
Why libpcp3-dev depends on pcp ?
Shouldn't libpcp3-dev depend on libpcp3 ?
And shouldn't pcp depend on libpcp3 ?

With current depends, the build of pcp-gui later fails 
with:

configure:4623: checking for pmNewContext in -lpcp
configure:4648: gcc -o conftest -g -O2   conftest.c -lpcp   >&5
/usr/lib/gcc/i486-kfreebsd-gnu/4.4.4/../../../libpcp.a(util.o): In 
function `vpmprintf':
(.text+0x711): warning: the use of `tempnam' is dangerous, better use 
`mkstemp'
/usr/lib/gcc/i486-kfreebsd-gnu/4.4.4/../../../libpcp.a(connectlocal.o): In 
function `__pmLocalPMDA':
(.text+0x788): undefined reference to `dlclose'
/usr/lib/gcc/i486-kfreebsd-gnu/4.4.4/../../../libpcp.a(connectlocal.o): In 
function `__pmLocalPMDA':
(.text+0x8ee): undefined reference to `dlclose'
/usr/lib/gcc/i486-kfreebsd-gnu/4.4.4/../../../libpcp.a(connectlocal.o): In 
function `__pmConnectLocal':
(.text+0x1010): undefined reference to `dlopen'
/usr/lib/gcc/i486-kfreebsd-gnu/4.4.4/../../../libpcp.a(connectlocal.o): In 
function `__pmConnectLocal':
(.text+0x103e): undefined reference to `dlsym'
/usr/lib/gcc/i486-kfreebsd-gnu/4.4.4/../../../libpcp.a(connectlocal.o): In 
function `__pmConnectLocal':
(.text+0x10e0): undefined reference to `dlclose'
/usr/lib/gcc/i486-kfreebsd-gnu/4.4.4/../../../libpcp.a(connectlocal.o): In 
function `__pmConnectLocal':
(.text+0x1131): undefined reference to `dlclose'
/usr/lib/gcc/i486-kfreebsd-gnu/4.4.4/../../../libpcp.a(connectlocal.o): In 
function `__pmConnectLocal':
(.text+0x1310): undefined reference to `dlerror'
collect2: ld returned 1 exit status



But when also libpcp3 is installed, the build ends fine.
The libpcp3 + libpcp3-dev is sufficient, it builds even without
pcp installed.

With pcp altered as shown bellow, the pcp depends on libpcp3,
similarly as on linux.

--- src/include/buildrules~     2010-06-16 03:54:45.000000000 +0200
+++ src/include/buildrules      2010-07-08 10:05:09.000000000 +0200
@@ -49,7 +49,7 @@
 _SHAREDOPTS    = -qmkshrobj
 endif
 ifeq ($(TARGET_OS), freebsd)
-_SHAREDOPTS    = -shared -Wl'-soname $(LIBTARGET)'
+_SHAREDOPTS    = -shared -Wl,-soname,$(LIBTARGET)
 endif
 $(LIBTARGET) : $(SUBDIRS) $(OBJECTS)
        $(CC) $(LDFLAGS) $(_SHAREDOPTS) -o $(LIBTARGET) $(OBJECTS) $(LDLIBS) $(LIB_FOR_DLOPEN) $(LIB_FOR_BASENAME)


Petr

-------
apt-cache show pcp libpcp3 libpcp3-dev

Package: pcp
Architecture: kfreebsd-i386
Version: 3.3.1
Depends: libc0.1 (>= 2.7), libreadline6 (>= 6.0), gawk, procps, sysv-rc-conf, cpp

Package: libpcp3
Architecture: kfreebsd-i386
Source: pcp
Version: 3.3.1
Depends: libc0.1 (>= 2.7)

Package: libpcp3-dev
Architecture: kfreebsd-i386
Source: pcp
Version: 3.3.1
Depends: pcp (= 3.3.1), libc6-dev | libc-dev

Added tag(s) sid and squeeze. Request was from Gerfried Fuchs <rhonda@debian.at> to control@bugs.debian.org. (Fri, 09 Jul 2010 10:15:05 GMT) Full text and rfc822 format available.

Information stored :
Bug#586466; Package pcp. (Fri, 09 Jul 2010 12:15:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thorsten Glaser <tg@mirbsd.de>:
Extra info received and filed, but not forwarded. (Fri, 09 Jul 2010 12:15:08 GMT) Full text and rfc822 format available.

Message #21 received at 586466-quiet@bugs.debian.org (full text, mbox):

From: Thorsten Glaser <tg@mirbsd.de>
To: Petr Salinger <Petr.Salinger@seznam.cz>
Cc: Nathan Scott <nathans@aconex.com>, debian-bsd@lists.debian.org, 586466-quiet@bugs.debian.org, control@bugs.debian.org
Subject: Re: pcp-gui build bug 586466
Date: Fri, 9 Jul 2010 12:10:10 +0000 (UTC)
Petr Salinger dixit:

> -_SHAREDOPTS    = -shared -Wl'-soname $(LIBTARGET)'
> +_SHAREDOPTS    = -shared -Wl,-soname,$(LIBTARGET)

Yes, this should be pushed upstream, maybe with a pointer
to read the gcc texinfo manual added ;-)

bye,
//mirabilos
-- 
Support mksh as /bin/sh and RoQA dash NOW!
‣ src:bash (225 (241) bugs: 0 RC, 171 (184) I&N, 54 (57) M&W, 0 F&P)
‣ src:dash (62 (69) bugs: 4 (7) RC, 42 (46) I&N, 15 M&W, 1 F&P)
‣ src:mksh (3 bugs: 0 RC, 0 I&N, 3 M&W, 0 F&P)




Reply sent to Nathan Scott <nathans@debian.org>:
You have taken responsibility. (Sat, 10 Jul 2010 03:51:08 GMT) Full text and rfc822 format available.

Notification sent to Cyril Brulebois <kibi@debian.org>:
Bug acknowledged by developer. (Sat, 10 Jul 2010 03:51:08 GMT) Full text and rfc822 format available.

Message #26 received at 586466-close@bugs.debian.org (full text, mbox):

From: Nathan Scott <nathans@debian.org>
To: 586466-close@bugs.debian.org
Subject: Bug#586466: fixed in pcp 3.3.2
Date: Sat, 10 Jul 2010 03:47:18 +0000
Source: pcp
Source-Version: 3.3.2

We believe that the bug you reported is fixed in the latest version of
pcp, which is due to be installed in the Debian FTP archive:

libpcp-gui2-dev_3.3.2_i386.deb
  to main/p/pcp/libpcp-gui2-dev_3.3.2_i386.deb
libpcp-gui2_3.3.2_i386.deb
  to main/p/pcp/libpcp-gui2_3.3.2_i386.deb
libpcp-logsummary-perl_3.3.2_i386.deb
  to main/p/pcp/libpcp-logsummary-perl_3.3.2_i386.deb
libpcp-mmv-perl_3.3.2_i386.deb
  to main/p/pcp/libpcp-mmv-perl_3.3.2_i386.deb
libpcp-mmv1-dev_3.3.2_i386.deb
  to main/p/pcp/libpcp-mmv1-dev_3.3.2_i386.deb
libpcp-mmv1_3.3.2_i386.deb
  to main/p/pcp/libpcp-mmv1_3.3.2_i386.deb
libpcp-pmda-perl_3.3.2_i386.deb
  to main/p/pcp/libpcp-pmda-perl_3.3.2_i386.deb
libpcp-pmda3-dev_3.3.2_i386.deb
  to main/p/pcp/libpcp-pmda3-dev_3.3.2_i386.deb
libpcp-pmda3_3.3.2_i386.deb
  to main/p/pcp/libpcp-pmda3_3.3.2_i386.deb
libpcp-trace2-dev_3.3.2_i386.deb
  to main/p/pcp/libpcp-trace2-dev_3.3.2_i386.deb
libpcp-trace2_3.3.2_i386.deb
  to main/p/pcp/libpcp-trace2_3.3.2_i386.deb
libpcp3-dev_3.3.2_i386.deb
  to main/p/pcp/libpcp3-dev_3.3.2_i386.deb
libpcp3_3.3.2_i386.deb
  to main/p/pcp/libpcp3_3.3.2_i386.deb
pcp_3.3.2.dsc
  to main/p/pcp/pcp_3.3.2.dsc
pcp_3.3.2.tar.gz
  to main/p/pcp/pcp_3.3.2.tar.gz
pcp_3.3.2_i386.deb
  to main/p/pcp/pcp_3.3.2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 586466@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Nathan Scott <nathans@debian.org> (supplier of updated pcp package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 10 Jul 2010 12:29:15 +1000
Source: pcp
Binary: pcp libpcp3-dev libpcp3 libpcp-gui2-dev libpcp-gui2 libpcp-mmv1-dev libpcp-mmv1 libpcp-pmda3-dev libpcp-pmda3 libpcp-trace2-dev libpcp-trace2 libpcp-pmda-perl libpcp-logsummary-perl libpcp-mmv-perl
Architecture: source i386
Version: 3.3.2
Distribution: unstable
Urgency: low
Maintainer: Nathan Scott <nathans@debian.org>
Changed-By: Nathan Scott <nathans@debian.org>
Description: 
 libpcp-gui2 - Performance Co-Pilot graphical client tools library
 libpcp-gui2-dev - Performance Co-Pilot graphical client tools library and headers
 libpcp-logsummary-perl - Performance Co-Pilot historical log summary module
 libpcp-mmv-perl - Performance Co-Pilot Memory Mapped Value Perl module
 libpcp-mmv1 - Performance Co-Pilot Memory Mapped Value client library
 libpcp-mmv1-dev - Performance Co-Pilot Memory Mapped Value library and headers
 libpcp-pmda-perl - Performance Co-Pilot Domain Agent Perl module
 libpcp-pmda3 - Performance Co-Pilot Domain Agent library
 libpcp-pmda3-dev - Performance Co-Pilot Domain Agent library and headers
 libpcp-trace2 - Performance Co-Pilot application tracing library
 libpcp-trace2-dev - Performance Co-Pilot application tracing library and headers
 libpcp3    - Performance Co-Pilot library
 libpcp3-dev - Performance Co-Pilot library and headers
 pcp        - System level performance monitoring and performance management
Closes: 586466
Changes: 
 pcp (3.3.2) unstable; urgency=low
 .
   * New release (full details in CHANGELOG).
   * Fix up inter-package dependencies (closes: #586466)
Checksums-Sha1: 
 fad87b7add441ba4b786db95b58c2c24f03b8c4e 1061 pcp_3.3.2.dsc
 3e1b13e2811d17adc583097e0c90660ffbfe82b9 2253492 pcp_3.3.2.tar.gz
 a119524e841724b47d94ac13d5f45f5e9938debe 1219020 pcp_3.3.2_i386.deb
 6e5f67b034cecb39eef1ea5df5e0bf9085979c7f 303104 libpcp3-dev_3.3.2_i386.deb
 548f3efe591651584d09367a21cc8a351ed1b5b7 132814 libpcp3_3.3.2_i386.deb
 7e226780ed9df9efd61443945a20916558843f9f 14690 libpcp-gui2-dev_3.3.2_i386.deb
 d403a27499ee556f33909c54e859521973d5d061 12914 libpcp-gui2_3.3.2_i386.deb
 015b0968187f75fa17006b62682ec5851ef68a83 16606 libpcp-mmv1-dev_3.3.2_i386.deb
 9f159ceded7ffdc5f2b123fb2fa59879a2fec5f5 9596 libpcp-mmv1_3.3.2_i386.deb
 4cd754c8b0aea0ee672e4ca3b6ac168a004fe670 68844 libpcp-pmda3-dev_3.3.2_i386.deb
 dd8346916c05da59b916835ab3aa4dd8cf8cc195 24452 libpcp-pmda3_3.3.2_i386.deb
 a656bcae3236c87550f1d87050e4644a39a0604a 26010 libpcp-trace2-dev_3.3.2_i386.deb
 fd41a30a498d975757b6fae0116c6e3a7a7e4f29 16870 libpcp-trace2_3.3.2_i386.deb
 cd5161b673a3a033554945c7c4ab1e9d05ec8352 38688 libpcp-pmda-perl_3.3.2_i386.deb
 39da5080efd81e16861e34ea1c736aa1ac022358 9672 libpcp-logsummary-perl_3.3.2_i386.deb
 2e6ee194bd59fdaaec731c7d294dbde6032b6242 20302 libpcp-mmv-perl_3.3.2_i386.deb
Checksums-Sha256: 
 1dbea1d5bc37b3aac6eb757ba765a32484c41b756c3c4e8702d421b1de75c591 1061 pcp_3.3.2.dsc
 13f8c34c65b096fafbb0e00f74493b7908e420edfde94edec4bd26265cebed50 2253492 pcp_3.3.2.tar.gz
 84ea41d82f3e1764649d7783e4d496132b0cd15624af013dcd6b088e8e5028ae 1219020 pcp_3.3.2_i386.deb
 5f20b359596816b62f82d8df368fa11712c0ddf3c763b86d848156409fcfd9b1 303104 libpcp3-dev_3.3.2_i386.deb
 19fa96b67f91c2ac12d6bd62d58e2f8e5e2c255a1300db85711e12111b6e7cf9 132814 libpcp3_3.3.2_i386.deb
 ed430776faedc457e12750b3e26f67d487e37a693a358d73e04d2b9f19ac5679 14690 libpcp-gui2-dev_3.3.2_i386.deb
 5cdb83ee9a893ef521b09e0b2cee27ac71838f48cfa9edf58a5787c57db22704 12914 libpcp-gui2_3.3.2_i386.deb
 8c3a3cd563559d10927feff59884edcc47bc7c91f09a4288e7dbcc9176a87846 16606 libpcp-mmv1-dev_3.3.2_i386.deb
 81b3423bad089de33465d19942003c36ed29d6ff17c5f04e79590f0bea280189 9596 libpcp-mmv1_3.3.2_i386.deb
 3b301500e227a1d3828fd2e12859ba6e98b86ab983400a594a13b159aa2356a1 68844 libpcp-pmda3-dev_3.3.2_i386.deb
 4864f374e34d7faf9d56bb5a2bfd7fef5f101c5c2b7bae23850daa8a33b3b943 24452 libpcp-pmda3_3.3.2_i386.deb
 bd4a49d49b85b89b15758d8ba101b01025cc3bfd99a2e3e44e4628125171a8ff 26010 libpcp-trace2-dev_3.3.2_i386.deb
 b4093553532cc5e566921abb50f800d583c3e6ebd17a65fb172ea0442ae6b6b8 16870 libpcp-trace2_3.3.2_i386.deb
 af34a9a7409324f910f932a3afeffbd080983c5b80a9071da9ec531e4cc25199 38688 libpcp-pmda-perl_3.3.2_i386.deb
 eef6fee8018e930129cd90958c03de394a7f1bf4aa51fbad194e7b462fd522a7 9672 libpcp-logsummary-perl_3.3.2_i386.deb
 75254f87a0a4adce1c2fd89a829c6f6b4c205137bf9a78a2087dfa87cedcc9be 20302 libpcp-mmv-perl_3.3.2_i386.deb
Files: 
 5fd79365c0fe066a668be2ef7b571964 1061 utils extra pcp_3.3.2.dsc
 9503f288e4dad997edf22f531c4dd642 2253492 utils extra pcp_3.3.2.tar.gz
 368bac261343259f07c5bc3f1074fa42 1219020 utils extra pcp_3.3.2_i386.deb
 77773fdb2a7bd00e505933bdd2c2a463 303104 libdevel extra libpcp3-dev_3.3.2_i386.deb
 eebfdc2118c25c3e06ee68c821120923 132814 libs extra libpcp3_3.3.2_i386.deb
 4529410992fab5aaee81ae08ea5ef6c2 14690 libdevel extra libpcp-gui2-dev_3.3.2_i386.deb
 00ededadc830db26bd35d11f481c016a 12914 libs extra libpcp-gui2_3.3.2_i386.deb
 d302326ffe7e4bcdd2db3aed9ef7d2ce 16606 libdevel extra libpcp-mmv1-dev_3.3.2_i386.deb
 eb198821e0ee2ca04074332b6dce3a22 9596 libs extra libpcp-mmv1_3.3.2_i386.deb
 58d5d98f2bb683ccae80e75f80859783 68844 libdevel extra libpcp-pmda3-dev_3.3.2_i386.deb
 91089230e1ea4df427a46f7c79448ced 24452 libs extra libpcp-pmda3_3.3.2_i386.deb
 baf097e9334188c6b5e3e1fb14a16543 26010 libdevel extra libpcp-trace2-dev_3.3.2_i386.deb
 3dace353f0d13ef01abba2a67284af5a 16870 libs extra libpcp-trace2_3.3.2_i386.deb
 8c28726a2a74dc61a50446333eac6adc 38688 perl optional libpcp-pmda-perl_3.3.2_i386.deb
 43da2dbb1f421bbb84b7ecad20c55366 9672 perl optional libpcp-logsummary-perl_3.3.2_i386.deb
 207473f1989f15fce445ee4ef6da9a13 20302 perl optional libpcp-mmv-perl_3.3.2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkw36AEACgkQm8fl3HSIa2OFPwCgzFBsmOfXHZQLVWFiHaNRsqv1
xysAoKv2ZwJTOqXnWgGWEjeG4YBc70/O
=GpE4
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Mar 2011 09:37:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 20:16:25 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.